
Core - Bug # 61477

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Bug # 56743 (Resolved): Make file_edit.php dispatched

Status: Resolved Priority: Must have
Author: Helmut Hummel Category: Backend API
Created: 2014-09-09 Assigned To: Wouter Wolters
Updated: 2015-02-09 Due date:
TYPO3 Version: 7
PHP Version:
Complexity:
Is Regression: No
Sprint Focus: Stabilization Sprint
Subject: Create upgrade wizard for "old" shortcut links of file_edit.php
Description

When moving file_edit.php to its own module, old (already created shortcuts) need to be migrated to a module URL.

An upgrade wizard needs to be created for that.

Related issues:
duplicated by Core - Task # 64923: Create upgrade wizard for shortcuts Closed 2015-02-07

Associated revisions
Revision a0fe37a3 - 2015-02-09 23:20 - Wouter Wolters

[TASK] Add migration wizard for backend shortcuts

Resolves: #61477
Releases: master
Change-Id: Icafa17b2e2927273faf23ca115f632d9718e8ebe
Reviewed-on: http://review.typo3.org/36756
Reviewed-by: Mathias Schreiber <mathias.schreiber@wmdb.de>
Tested-by: Mathias Schreiber <mathias.schreiber@wmdb.de>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

History
#1 - 2014-09-09 16:09 - Helmut Hummel
- Parent task set to #56743

#2 - 2014-09-09 22:37 - Helmut Hummel

Also migrate db_layout shortcuts, once this is also a module

#3 - 2015-02-07 15:14 - Markus Klein
- Status changed from New to Accepted
- Assigned To set to Wouter Wolters
- Priority changed from Should have to Must have
- Target version set to 7.1 (Cleanup)
- TYPO3 Version changed from 7.0 to 7
- Sprint Focus set to Stabilization Sprint

#4 - 2015-02-07 15:16 - Markus Klein

Don't forget about the deprecation documentation for the parent patch.

#5 - 2015-02-08 21:41 - Wouter Wolters

That deprecation message is not needed. The files are already removed and a rst files was added for that.

#6 - 2015-02-08 23:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36756

#7 - 2015-02-08 23:18 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36756

#8 - 2015-02-09 22:01 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36756

#9 - 2015-02-09 23:30 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a0fe37a304f8e5bad97f3e2a3878d555b9ba7904.
